OpenShot Audio Library | OpenShotAudio: juce::SocketOptions Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0 |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::SocketOptions Class Reference

`#include <juce_Socket.h>`

## Public Member Functions
SocketOptions | withReceiveBufferSize (int size) const
SocketOptions | withSendBufferSize (int size) const
auto | getReceiveBufferSize () const
auto | getSendBufferSize () const

## Detailed Description

Options used for the configuration of the underlying system socket in the StreamingSocket and DatagramSocket classes.

See also
  StreamingSocket, DatagramSocket

Definition at line 34 of file juce_Socket.h.

## Member Function Documentation

## ◆ getReceiveBufferSize()

auto juce::SocketOptions::getReceiveBufferSize | ( |  | ) | const
| inlinenodiscard

See also
  withReceiveBufferSize()

Definition at line 60 of file juce_Socket.h.

## ◆ getSendBufferSize()

auto juce::SocketOptions::getSendBufferSize | ( |  | ) | const
| inlinenodiscard

See also
  withSendBufferSize()

Definition at line 63 of file juce_Socket.h.

## ◆ withReceiveBufferSize()

SocketOptions juce::SocketOptions::withReceiveBufferSize | ( | int | size | ) | const
| inlinenodiscard

The provided size will be used to configure the socket's SO_RCVBUF property. Increasing the buffer size can reduce the number of lost packets with the DatagramSocket class, if the socket is to receive packets in large bursts.

If this property is not specified, the system default value will be used, but a minimum of 65536 will be ensured.

Definition at line 44 of file juce_Socket.h.

## ◆ withSendBufferSize()

SocketOptions juce::SocketOptions::withSendBufferSize | ( | int | size | ) | const
| inlinenodiscard

The provided size will be used to configure the socket's SO_SNDBUF property.

If this property is not specified, the system default value will be used, but a minimum of 65536 will be ensured.

Definition at line 54 of file juce_Socket.h.

The documentation for this class was generated from the following file:

- juce_Socket.h